Subject: bug#46028: closed (Re: bug#46028: [PATCH core-updates 0/2] Farewell to PYTHONPATH.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Feb 2021 18:37:02 +0000

Your bug report

#46028: [PATCH core-updates 0/2] Farewell to PYTHONPATH.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46028: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46028
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46028: [PATCH core-updates 0/2] Farewell to PYTHONPATH.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Date: Mon, 01 Feb 2021 13:35:52 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi,
>>
>> Maxim Cournoyer <[email-masked]> writes:
>>
>>> Using PYTHONPATH as a mean to discover the Python packages had the following
>>> issues:
>>>
>>>         1. It is not versioned, so different versions of Python would clash if
>>>         installed in a shared profile.
>>>
>>>         2. It would interfere with the host Python site on foreign
>>>         distributions, sometimes preventing a a user to login their GDM
>>>         session (!).
>>>
>>>         3. It would take precedence over user installed Python packages
>>>         installed through pip.
>>>
>>>         4. It would leak into Python virtualenvs, which are supposed to create
>>>         isolated Python environments.
>>
>> I've adapted the most problematic uses of PYTHONPATH in the code base
>> (mostly (getenv "PYTHONPATH"), which would typically now return #f and
>> pushed the branch to cu/farewell-to-pythonpath (it contains ~160
>> commits, so I thought it'd be easier to review as a branch).
>
> There's now a third version of this that I pushed to the
> cu/farewell-to-pythonpath branch.  It now uses GUIX_PYTHONPATH instead
> of GUIX_PYTHONPATH_X_Y, which makes it easier to use in any package
> definition (as there's no longer a need to import the (guix build
> python-build-system) module for packages not using the Python build
> system).
>
> I'll merge it soon if nobody has an objection.

I've now pushed this to core-updates.

Closing!

Maxim

Subject: [PATCH core-updates 0/2] Farewell to PYTHONPATH.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>
Date: Thu, 21 Jan 2021 23:48:16 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Farewell to PYTHONPATH.

Maxim Cournoyer (2):
  utils: Add a version-minor procedure.
  gnu: python: Replace PYTHONPATH by GUIX_PYTHONPATH_X_Y.

 gnu/packages/python.scm | 37 +++++++++++++++++++++++++++++++++----
 guix/utils.scm          | 15 ++++++++++++---
 2 files changed, 45 insertions(+), 7 deletions(-)

-- 
2.29.2